--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: loaded_specs
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Set the value of the ssl_avilable flag.
  name: ssl_available
  rw: W
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: _load
- !ruby/object:RI::MethodSummary 
  name: activate
- !ruby/object:RI::MethodSummary 
  name: all_load_paths
- !ruby/object:RI::MethodSummary 
  name: array_attribute
- !ruby/object:RI::MethodSummary 
  name: array_attributes
- !ruby/object:RI::MethodSummary 
  name: attribute
- !ruby/object:RI::MethodSummary 
  name: attribute_alias_singular
- !ruby/object:RI::MethodSummary 
  name: attribute_defaults
- !ruby/object:RI::MethodSummary 
  name: attribute_names
- !ruby/object:RI::MethodSummary 
  name: attributes
- !ruby/object:RI::MethodSummary 
  name: binary_mode
- !ruby/object:RI::MethodSummary 
  name: bindir
- !ruby/object:RI::MethodSummary 
  name: clear_paths
- !ruby/object:RI::MethodSummary 
  name: config_file
- !ruby/object:RI::MethodSummary 
  name: configuration
- !ruby/object:RI::MethodSummary 
  name: configuration=
- !ruby/object:RI::MethodSummary 
  name: datadir
- !ruby/object:RI::MethodSummary 
  name: default_bindir
- !ruby/object:RI::MethodSummary 
  name: default_dir
- !ruby/object:RI::MethodSummary 
  name: default_exec_format
- !ruby/object:RI::MethodSummary 
  name: default_path
- !ruby/object:RI::MethodSummary 
  name: default_sources
- !ruby/object:RI::MethodSummary 
  name: default_system_source_cache_dir
- !ruby/object:RI::MethodSummary 
  name: default_user_source_cache_dir
- !ruby/object:RI::MethodSummary 
  name: default_value
- !ruby/object:RI::MethodSummary 
  name: dir
- !ruby/object:RI::MethodSummary 
  name: ensure_gem_subdirectories
- !ruby/object:RI::MethodSummary 
  name: ensure_ssl_available
- !ruby/object:RI::MethodSummary 
  name: from_yaml
- !ruby/object:RI::MethodSummary 
  name: latest_load_paths
- !ruby/object:RI::MethodSummary 
  name: list
- !ruby/object:RI::MethodSummary 
  name: load
- !ruby/object:RI::MethodSummary 
  name: load_path_insert_index
- !ruby/object:RI::MethodSummary 
  name: manage_gems
- !ruby/object:RI::MethodSummary 
  name: marshal_version
- !ruby/object:RI::MethodSummary 
  name: new
- !ruby/object:RI::MethodSummary 
  name: normalize_yaml_input
- !ruby/object:RI::MethodSummary 
  name: overwrite_accessor
- !ruby/object:RI::MethodSummary 
  name: path
- !ruby/object:RI::MethodSummary 
  name: platforms
- !ruby/object:RI::MethodSummary 
  name: platforms=
- !ruby/object:RI::MethodSummary 
  name: prefix
- !ruby/object:RI::MethodSummary 
  name: read_binary
- !ruby/object:RI::MethodSummary 
  name: read_only
- !ruby/object:RI::MethodSummary 
  name: refresh
- !ruby/object:RI::MethodSummary 
  name: required_attribute
- !ruby/object:RI::MethodSummary 
  name: required_attribute?
- !ruby/object:RI::MethodSummary 
  name: required_attributes
- !ruby/object:RI::MethodSummary 
  name: required_location
- !ruby/object:RI::MethodSummary 
  name: ruby
- !ruby/object:RI::MethodSummary 
  name: ruby_version
- !ruby/object:RI::MethodSummary 
  name: searcher
- !ruby/object:RI::MethodSummary 
  name: source_index
- !ruby/object:RI::MethodSummary 
  name: sources
- !ruby/object:RI::MethodSummary 
  name: ssl_available?
- !ruby/object:RI::MethodSummary 
  name: suffix_pattern
- !ruby/object:RI::MethodSummary 
  name: suffixes
- !ruby/object:RI::MethodSummary 
  name: use_paths
- !ruby/object:RI::MethodSummary 
  name: user_home
- !ruby/object:RI::MethodSummary 
  name: win_platform?
comment: 
- !ruby/struct:SM::Flow::P 
  body: Main module to hold all RubyGem classes/modules.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: ConfigMap
  value: "{} unless defined?(ConfigMap)"
- !ruby/object:RI::Constant 
  comment: 
  name: RbConfig
  value: Config unless defined? ::RbConfig
- !ruby/object:RI::Constant 
  comment: 
  name: DIRECTORIES
  value: "%w[cache doc gems specifications] unless defined?(DIRECTORIES)"
- !ruby/object:RI::Constant 
  comment: 
  name: MUTEX
  value: Mutex.new
- !ruby/object:RI::Constant 
  comment: 
  name: RubyGemsPackageVersion
  value: RubyGemsVersion
- !ruby/object:RI::Constant 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: An Array of Regexps that match windows ruby platforms.
  name: WIN_PATTERNS
  value: "[     /bccwin/i,     /cygwin/i,     /djgpp/i,     /mingw/i,     /mswin/i,     /wince/i,   ]"
full_name: Gem
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_bindir
- !ruby/object:RI::MethodSummary 
  name: add_dependency
- !ruby/object:RI::MethodSummary 
  name: assign_defaults
- !ruby/object:RI::MethodSummary 
  name: dependent_gems
- !ruby/object:RI::MethodSummary 
  name: file_name
- !ruby/object:RI::MethodSummary 
  name: find_all_satisfiers
- !ruby/object:RI::MethodSummary 
  name: full_gem_path
- !ruby/object:RI::MethodSummary 
  name: full_name
- !ruby/object:RI::MethodSummary 
  name: has_rdoc?
- !ruby/object:RI::MethodSummary 
  name: has_test_suite?
- !ruby/object:RI::MethodSummary 
  name: has_unit_tests?
- !ruby/object:RI::MethodSummary 
  name: installation_path
- !ruby/object:RI::MethodSummary 
  name: lib_files
- !ruby/object:RI::MethodSummary 
  name: loaded?
- !ruby/object:RI::MethodSummary 
  name: mark_version
- !ruby/object:RI::MethodSummary 
  name: normalize
- !ruby/object:RI::MethodSummary 
  name: ruby_code
- !ruby/object:RI::MethodSummary 
  name: same_attributes?
- !ruby/object:RI::MethodSummary 
  name: satisfies_requirement?
- !ruby/object:RI::MethodSummary 
  name: sort_obj
- !ruby/object:RI::MethodSummary 
  name: test_suite_file
- !ruby/object:RI::MethodSummary 
  name: test_suite_file=
- !ruby/object:RI::MethodSummary 
  name: to_ruby
- !ruby/object:RI::MethodSummary 
  name: to_s
- !ruby/object:RI::MethodSummary 
  name: validate
name: Gem
superclass: 
